//#region ../../node_modules/d3-selection/src/selection/clone.js
function e() {
	var e = this.cloneNode(!1), t = this.parentNode;
	return t ? t.insertBefore(e, this.nextSibling) : e;
}
function t() {
	var e = this.cloneNode(!0), t = this.parentNode;
	return t ? t.insertBefore(e, this.nextSibling) : e;
}
function n(n) {
	return this.select(n ? t : e);
}
//#endregion
export { n as default };
